{
  "name": "standard-open-api",
  "version": "0.0.1",
  "engines": {
    "node": "14.x"
  },
  "repository": {
    "type": "git",
    "url": "git+git@gitlab.com:claudenirmf/standard-open-api.git"
  },
  "author": "Tiago Prince Sales <tiago.princesales@unibz.it>",
  "contributors": [
    "Claudenir Morais Fonseca <cmoraisfonseca@unibz.it>",
    "Tiago Prince Sales <tiago.princesales@unibz.it>"
  ],
  "bugs": {
    "url": "https://gitlab.com/claudenirmf/standard-open-api"
  },
  "homepage": "https://gitlab.com/claudenirmf/standard-open-api",
  "scripts": {
    "bundle": "npm-run-all -s bundle:yaml bundle:json bundle:page",
    "bundle:yaml": "swagger-cli bundle src/index.yml -o src/specification.yml -t yaml",
    "bundle:json": "swagger-cli bundle src/index.yml -o src/specification.json -t json",
    "bundle:page": "(rm -f public/specification.js) && (echo \"specification = \" >  public/specification.js) && (cat src/specification.json >> public/specification.js)",
    "validate": "swagger-cli validate src/specification.yml -t yaml",
    "host": "docker run -p 3000:8080 -e SWAGGER_JSON=/src/specification.yml -v `pwd`/src:/src swaggerapi/swagger-ui"
  },
  "dependencies": {
    "@apidevtools/swagger-cli": "^4.0.4",
    "npm-run-all": "^4.1.5"
  },
  "devDependencies": {}
}
